Page MenuHomePhabricator

Have integration puppet master to auto updates itself
Closed, ResolvedPublic

Description

The puppet master on the labs integration project is rebased manually. The beta cluster puppet master has a script in a cron which attempts to rebase the puppet repository automatically. The script is being generalized in puppet via T1150 | https://gerrit.wikimedia.org/r/175663.

Once available in puppet, we will want to enable that feature on the integration puppet master.

Event Timeline

hashar created this task.Nov 25 2014, 2:10 PM
hashar raised the priority of this task from to Normal.
hashar updated the task description. (Show Details)
hashar changed Security from none to None.
hashar added subscribers: hashar, bd808, yuvipanda, Krinkle.

Alright, set $puppetmaster_autoupdate to true in wikitech config for your puppetmaster, pull to latest production, and it shall now auto update! \o/

Alright, set $puppetmaster_autoupdate to true in wikitech config for your puppetmaster, pull to latest production, and it shall now auto update! \o/

I have set it on the Hiera:Integration wiki page:

puppetmaster_autoupdate: true

hmm, I don't know if that'll actually work, however. It might!

I was referring to the 'configure' page on wikitech, which has a 'puppet variable', different from hiera (confusing, I know). Doing it in hiera might also work, however. Unsure.

hashar closed this task as Resolved.Nov 27 2014, 8:20 PM
hashar claimed this task.

That does not work with the hiera page, so I have set the variable true on integration-puppetmaster. The cron has been applied and a manual run confirmed it works fine :]

Thank you Yuvi!

bd808 added a comment.Nov 28 2014, 6:11 AM

hmm, I don't know if that'll actually work, however. It might!
I was referring to the 'configure' page on wikitech, which has a 'puppet variable', different from hiera (confusing, I know). Doing it in hiera might also work, however. Unsure.

We should figure out how to ensure that these random flags can be set via hiera in the future. Probably a separate issue to track and work on. Having 2 (or 3 or 4) places to configure puppet in Labs and needing to understand when to use which will become painful rather quickly.